/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "ai.h"

holdemaction_t actionAi() {
  return (holdemaction_t){
    .init = &actionAiInit,
    .update = &actionAiUpdate,
    .dispose = &actionAiDispose
  };
}

void actionAiInit(int32_t index, void *data) {
  holdemActionRemove(index);
}

void actionAiUpdate(int32_t index, void *data) {
}

void actionAiDispose(int32_t index, void *data) {
  // Do we need to do a flop?
  if(HOLDEM_GAME_STATE.match.cardsFacing < HOLDEM_DEALER_HAND) {
    holdemActionAdd(actionFlop());
  }
}